# This is an auto-generated Django model module.
# You'll have to do the following manually to clean this up:
#   * Rearrange models' order
#   * Make sure each model has one field with primary_key=True
#   * Make sure each ForeignKey has `on_delete` set to the desired behavior.
#   * Remove `managed = False` lines if you wish to allow Django to create,
#      modify, and delete the table
# Feel free to rename the models, but don't rename db_table
#  values or field names.
from django.db import models
from django.db.models import Q
from django.db.models.functions import Length

NPDC = ('59', '62')
PICARDIE = ('2', '02', '60', '80')


class Adhesion(models.Model):
    class Meta:
        managed = False
        db_table = 'adhesion'

    structure = models.ForeignKey(
        'BpStructure', models.DO_NOTHING, blank=True, null=True
    )
    annee = models.IntegerField(blank=True, null=True)
    adhesion = models.CharField(max_length=35, blank=True, null=True)
    cause_non_adhesion = models.CharField(max_length=56, blank=True, null=True)
    observation = models.TextField(blank=True, null=True)

    def __str__(self):
        return "Adhesion [{}] de {}".format(self.annee, self.structure)


class Bac(models.Model):
    lib = models.CharField(max_length=50, blank=True, null=True)
    description = models.TextField(blank=True, null=True)

    class Meta:
        verbose_name = "Bassin d'Alimentation de Captage"
        verbose_name_plural = "Bassins d'Alimentation de Captage"
        managed = False
        db_table = 'bac'


class Canton(models.Model):
    lib = models.CharField(max_length=50, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'canton'


class Categorie(models.Model):
    class Meta:
        managed = False
        db_table = 'categorie'

    nom = models.TextField(blank=True, null=True)

    def __str__(self):
        return self.nom


class Cc(models.Model):
    lib = models.CharField(max_length=50, blank=True, null=True)

    class Meta:
        verbose_name = "Communauté de communes"
        managed = False
        db_table = 'cc'


class Cg(models.Model):
    lib = models.CharField(max_length=50, blank=True, null=True)

    class Meta:
        verbose_name = "Contrat global"
        verbose_name_plural = "Contrats globaux"
        managed = False
        db_table = 'cg'


class Contact(models.Model):
    class Meta:
        managed = False
        db_table = 'contact'

    structure = models.ForeignKey(
        'BpStructure', models.DO_NOTHING, blank=True, null=True
    )
    titre = models.CharField(max_length=25, blank=True, null=True)
    nom = models.TextField(blank=True, null=True)
    prenom = models.TextField(blank=True, null=True)
    fonction = models.TextField(blank=True, null=True)
    mail = models.TextField(blank=True, null=True)
    telephone = models.CharField(max_length=20, blank=True, null=True)
    mobile = models.CharField(max_length=20, blank=True, null=True)
    fax = models.CharField(max_length=20, blank=True, null=True)
    adresse = models.TextField(blank=True, null=True)
    cp = models.CharField(
        db_column='CP', max_length=5, blank=True, null=True
    )  # Field name made lowercase.
    ville = models.TextField(blank=True, null=True)
    preference_contact = models.CharField(max_length=27, blank=True, null=True)
    annee_naissance = models.IntegerField(blank=True, null=True)
    annee_installation = models.IntegerField(blank=True, null=True)
    note = models.TextField(blank=True, null=True)

    def __str__(self):
        return " ".join([e for e in [self.titre, self.prenom, self.nom] if e])


class Echange(models.Model):
    structure = models.ForeignKey(
        'BpStructure', models.DO_NOTHING, blank=True, null=True
    )
    type = models.CharField(max_length=66, blank=True, null=True)
    description = models.TextField(blank=True, null=True)
    autonomie = models.IntegerField(blank=True, null=True)
    fournisseur = models.TextField(blank=True, null=True)
    vente = models.IntegerField(blank=True, null=True)
    besoin = models.IntegerField(blank=True, null=True)
    annee = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'echange'


class Entree(models.Model):
    structure = models.ForeignKey(
        'BpStructure', models.DO_NOTHING, blank=True, null=True
    )
    fournisseur = models.TextField(blank=True, null=True)
    role = models.TextField(blank=True, null=True)
    categorie = models.CharField(max_length=458, blank=True, null=True)
    produit = models.TextField(blank=True, null=True)
    quantite = models.IntegerField(blank=True, null=True)
    unite = models.CharField(max_length=35, blank=True, null=True)
    besoin_appro_local = models.IntegerField(blank=True, null=True)
    annee = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'entree'


class GroupeTravail(models.Model):
    nom = models.TextField(blank=True, null=True)
    designation = models.TextField(blank=True, null=True)
    type = models.TextField(blank=True, null=True)
    date_maj = models.DateField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'groupe_travail'


class Insee(models.Model):
    class Meta:
        managed = False
        db_table = 'insee'

    id = models.CharField(primary_key=True, max_length=5)
    ville = models.CharField(max_length=50, blank=True, null=True)
    departement = models.CharField(max_length=3, blank=True, null=True)
    canton = models.ForeignKey(
        'Canton', on_delete=models.DO_NOTHING, blank=True, null=True
    )
    cc = models.ForeignKey(
        'Cc', on_delete=models.DO_NOTHING, blank=True, null=True
    )
    payspicardie = models.ForeignKey(
        'PaysPicardie', on_delete=models.DO_NOTHING, blank=True, null=True
    )
    cg = models.ForeignKey(
        'Cg', on_delete=models.DO_NOTHING, blank=True, null=True
    )
    bac = models.ForeignKey(
        'Bac', on_delete=models.DO_NOTHING, blank=True, null=True
    )

    def __str__(self):
        return "{} {}".format(self.id, self.ville)


class Orab(models.Model):
    siret = models.CharField(primary_key=True, max_length=14)
    infos = models.TextField()

    class Meta:
        verbose_name = "Observatoire Regional Agriculture Biologique"
        managed = False
        db_table = 'orab'


class OrabActivite(models.Model):
    class Meta:
        managed = False
        db_table = 'orab_activite'

    structure = models.ForeignKey(
        'BpStructure', models.DO_NOTHING, blank=True, null=True
    )
    ca_total = models.FloatField(
        db_column='CA_total', blank=True, null=True
    )  # Field name made lowercase.
    ca_bio = models.FloatField(
        db_column='CA_bio', blank=True, null=True
    )  # Field name made lowercase.
    pourcent_ca = models.CharField(
        db_column='pourcent_CA', max_length=19, blank=True, null=True
    )  # Field name made lowercase.
    sau_total = models.FloatField(blank=True, null=True)
    sau_bio = models.FloatField(blank=True, null=True)
    sau_conversion = models.FloatField(blank=True, null=True)
    sau_conventionnelle = models.FloatField(blank=True, null=True)
    technique_prodveg = models.CharField(max_length=37, blank=True, null=True)
    annee = models.IntegerField(blank=True, null=True)
    ugb_ha = models.FloatField(blank=True, null=True)
    ugb = models.FloatField(
        verbose_name="Unite Gros Betail", blank=True, null=True
    )
    ebe = models.FloatField(
        verbose_name="Excedent Brut d'Exploitation", blank=True, null=True
    )

    def __str__(self):
        return "DonneesBio[{}] de {}".format(self.annee, self.structure)


class Pa(models.Model):
    structure = models.ForeignKey(
        'BpStructure', models.DO_NOTHING, blank=True, null=True
    )
    type_prod = models.CharField(max_length=41, blank=True, null=True)
    type = models.CharField(max_length=195, blank=True, null=True)
    race = models.TextField(blank=True, null=True)
    quantite = models.IntegerField(blank=True, null=True)
    autonomie = models.IntegerField(blank=True, null=True)
    annee = models.IntegerField(blank=True, null=True)

    class Meta:
        verbose_name = "Production Animale"
        managed = False
        db_table = 'pa'


class PaysPicardie(models.Model):
    lib = models.CharField(max_length=50, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'pays_picardie'


class ProdLait(models.Model):
    structure = models.ForeignKey(
        'BpStructure', models.DO_NOTHING, blank=True, null=True
    )
    quota_laitier = models.IntegerField(blank=True, null=True)
    quota_vente_directe = models.IntegerField(blank=True, null=True)
    nom_laiterie_collecte = models.TextField(blank=True, null=True)
    annee = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'prod_lait'


class ProdVeg(models.Model):
    structure = models.ForeignKey(
        'BpStructure', models.DO_NOTHING, blank=True, null=True
    )
    categorie = models.CharField(max_length=314, blank=True, null=True)
    description = models.TextField(blank=True, null=True)
    rendements_tha = models.FloatField(blank=True, null=True)
    autoconsommee = models.IntegerField(blank=True, null=True)
    surface_conventionnelle = models.FloatField(blank=True, null=True)
    surface_conversion = models.FloatField(blank=True, null=True)
    surface_bio_prochain = models.FloatField(blank=True, null=True)
    annee = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'prod_veg'


class RefTravail(models.Model):
    structure = models.ForeignKey(
        'BpStructure', on_delete=models.DO_NOTHING, blank=True, null=True
    )
    id_groupe = models.ForeignKey(
        'GroupeTravail',
        on_delete=models.DO_NOTHING,
        db_column='id_groupe',
        blank=True,
        null=True,
    )

    class Meta:
        managed = False
        db_table = 'ref_travail'


class Sortie(models.Model):
    structure = models.ForeignKey(
        'BpStructure', models.DO_NOTHING, blank=True, null=True
    )
    acheteur = models.TextField(blank=True, null=True)
    type_acheteur = models.CharField(max_length=135, blank=True, null=True)
    portee_vente = models.CharField(max_length=59, blank=True, null=True)
    categorie = models.CharField(max_length=458, blank=True, null=True)
    produit = models.TextField(blank=True, null=True)
    quantite = models.IntegerField(blank=True, null=True)
    unite = models.CharField(max_length=35, blank=True, null=True)
    besoin_debouche_local = models.IntegerField(blank=True, null=True)
    annee = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'sortie'


class Sortie2(models.Model):
    structure = models.ForeignKey('BpStructure', models.DO_NOTHING)
    annee = models.IntegerField(blank=True, null=True)
    acheteur = models.TextField(blank=True, null=True)
    type_acheteur = models.CharField(max_length=135, blank=True, null=True)
    portee_vente = models.CharField(max_length=59, blank=True, null=True)
    categorie = models.CharField(max_length=458, blank=True, null=True)
    produit = models.TextField(blank=True, null=True)
    quantite = models.IntegerField(blank=True, null=True)
    unite = models.CharField(max_length=35, blank=True, null=True)
    besoin_debouche_local = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'sortie2'


class BpStructureQuerySet(models.QuerySet):
    def _length_insee(self):
        return self.annotate(insee_length=Length('insee'))

    def _build_q(self, list_dep):
        "example: list_dep = ('2', '02', '60', 80)"
        ret_q = None
        for dep in list_dep:
            this_q = Q(insee__id__startswith=dep, insee_length=3 + len(dep))
            ret_q = this_q if ret_q is None else ret_q | this_q
        return ret_q

    def npdc(self):
        return self._length_insee().filter(self._build_q(NPDC))

    def not_npdc(self):
        return self._length_insee().exclude(self._build_q(NPDC))

    def picardie(self):
        return self._length_insee().filter(self._build_q(PICARDIE))

    def not_picardie(self):
        return self._length_insee().exclude(self._build_q(PICARDIE))

    def unk(self):
        return self.filter(insee__isnull=True)


class BpStructure(models.Model):
    class Meta:
        managed = False
        db_table = 'structure'

    objects = BpStructureQuerySet.as_manager()
    nom = models.TextField(blank=True, null=True)
    statut = models.CharField(max_length=95, blank=True, null=True)
    adresse = models.TextField(blank=True, null=True)
    cp = models.CharField(db_column='CP', max_length=5, blank=True, null=True)
    ville = models.TextField(blank=True, null=True)
    cedex = models.TextField(blank=True, null=True)
    web = models.TextField(blank=True, null=True)
    civ_ref = models.TextField(blank=True, null=True)
    prenom_ref = models.TextField(blank=True, null=True)
    nom_ref = models.TextField(blank=True, null=True)
    tel = models.TextField(blank=True, null=True)
    tel2 = models.TextField(blank=True, null=True)
    mail = models.TextField(blank=True, null=True)
    mail2 = models.TextField(blank=True, null=True)
    diffusion_info = models.CharField(max_length=162, blank=True, null=True)
    description_activite = models.TextField(blank=True, null=True)
    description_activite_map = models.TextField(blank=True, null=True)
    cat_activite = models.CharField(max_length=87, blank=True, null=True)
    statut_bio = models.CharField(max_length=36, blank=True, null=True)
    statut_conversion = models.IntegerField(blank=True, null=True)
    utilisation = models.IntegerField(blank=True, null=True)
    referent_abp = models.TextField(
        db_column='referent_ABP', blank=True, null=True
    )
    diffusion_web = models.IntegerField(blank=True, null=True)
    debut_activite = models.IntegerField(blank=True, null=True)
    passage_bio = models.IntegerField(blank=True, null=True)
    producteur = models.CharField(max_length=217, blank=True, null=True)
    producteur_principal = models.CharField(
        max_length=217, blank=True, null=True
    )
    collecteur_transformation_artisanat = models.CharField(
        max_length=117, blank=True, null=True
    )
    csv_collecteur_transformation_artisanat = {
        'artisanat',
        'atelier de transformation fermier',
        'autre',
        'collecte et stockage et conditionnement',
        'transformation industrielle',
    }
    transformation = models.CharField(max_length=765, blank=True, null=True)
    csv_transformation = {
        'AlimentationAnimale',
        'AquacultureAlgue',
        'AutreProduit',
        'Boisson',
        'Boisson-Brassee',
        'Boisson-Cidre',
        'Boisson-Vin',
        'CafeThe',
        'ComplementAlimentaire',
        'Epicerie',
        'Epicerie-BiscotteBiscuitPatisserie',
        'Epicerie-EnfantDietetique',
        'FarineCereale',
        'Huile',
        'HuileEssentielle',
        'PainPatisserie',
        'PateAlimentaire',
        'ProduitCulture',
        'ProduitCulture-AromatiqueMedicinale',
        'ProduitCulture-FruitLegume',
        'ProduitCulture-SemencePlants',
        'ProduitElevage',
        'ProduitElevage-Miel',
        'ProduitElevage-Oeuf',
        'ProduitLaitier',
        'ProduitLaitier-Autre',
        'ProduitLaitier-Fromage',
        'ProduitLaitier-LaitCreme',
        'ProduitsFruitLegume',
        'ProduitsFruitLegume-Jus',
        'ProduitsFruitLegume-PdT',
        'ProduitsFruitLegume-PreparationConserve',
        'Viande',
        'Viande-Boucherie',
        'Viande-Preparation',
    }
    vente = models.CharField(max_length=190, blank=True, null=True)
    csv_vente = {
        'autre',
        'detaillant',
        'internet ou correspondance',
        'libre cueillette',
        'livraison-tournee',
        'magasin a la ferme',
        'marche',
        'paniers ou caissettes',
        'points de vente collectif',
        'restaurant collectif',
        'vente a la ferme',
    }
    negoce_grossiste_importateur = models.CharField(
        max_length=84, blank=True, null=True
    )
    csv_negoce_grossiste_importateur = {
        'autre',
        'grossiste GMS',
        'grossiste RHD',
        'grossiste magasin specialise',
        'importateur',
        'negociant',
    }
    rhd = models.CharField(
        verbose_name="restauration hors domicile",
        db_column='RHD',
        max_length=125,
        blank=True,
        null=True,
    )
    csv_rhd = {
        'autre',
        'cuisine centrale',
        'restaurant administratif',
        'restaurant commercial et traiteur',
        'restaurant scolaire',
        'societe de restauration',
    }

    porteur_projet = models.CharField(max_length=51, blank=True, null=True)
    csv_porteur_projet = {
        'autre',
        'conversion',
        'creation activite bio',
        'installation',
    }

    institutionnels = models.CharField(max_length=168, blank=True, null=True)
    csv_institutionnels = {
        'administration publique',
        'association',
        'autre',
        'bureau etude',
        'communaute agglomeration',
        'communaute de communes',
        'elus',
        'enseignement',
        'mairie',
        'media',
        'syndicat de pays',
        'syndicat des eaux',
    }

    distributeur = models.CharField(max_length=124, blank=True, null=True)
    csv_distributeur = {
        'autre',
        'distributeur GMS',
        'distributeur magasin specialise biologique',
        'distributeur non alimentaire',
        'epicerie',
        'fournisseur - appro.',
    }

    distribution = models.CharField(max_length=389, blank=True, null=True)
    csv_distribution = {
        'autre',
        'biscuits et chocolats',
        'cafe - the et infusions',
        'cereales - legumineuses et oleagineux',
        'complements alimentaires',
        'fournisseur - appro.',
        'fruits frais',
        'fruits secs',
        'huiles essentielles et PPAM',
        'legumes frais',
        'multiproduits',
        'pain - viennoiseries - patisseries',
        'plantes sechees - epices et aromates',
        'plats cuisines et traiteur',
        'produits aquaculture',
        'viande - produits laitiers et oeufs',
        'vins et boissons',
    }
    longitude = models.TextField(blank=True, null=True)
    latitude = models.TextField(blank=True, null=True)
    departement = models.TextField(blank=True, null=True)
    pays = models.TextField(blank=True, null=True)
    canton = models.TextField(blank=True, null=True)
    description_web = models.TextField(blank=True, null=True)
    photo = models.TextField(blank=True, null=True)
    activite_principale = models.TextField(blank=True, null=True)
    date_maj = models.DateField(blank=True, null=True)
    observation = models.TextField(blank=True, null=True)
    marque_privee = models.CharField(max_length=45, blank=True, null=True)
    etp_bio = models.FloatField(db_column='ETP_Bio', blank=True, null=True)
    etp_sal_app = models.FloatField(
        db_column='ETP_sal_app', blank=True, null=True
    )
    etp_total = models.FloatField(db_column='ETP_Total', blank=True, null=True)
    codenaf = models.TextField(db_column='codeNAF', blank=True, null=True)
    distributeur_grossiste_importateur = models.CharField(
        max_length=203, blank=True, null=True
    )
    csv_distributeur_grossiste_importateur = {
        'autre',
        'distributeur GMS',
        'distributeur magasin specialise biologique',
        'epicerie',
        'fournisseur - appro.',
        'grossiste GMS',
        'grossiste RHD',
        'grossiste magasin specialise',
        'importateur',
        'negociant',
    }
    insee = models.ForeignKey(
        'Insee', blank=True, null=True, on_delete=models.PROTECT
    )
    siret = models.CharField(max_length=14, blank=True, null=True)
    categories = models.ManyToManyField(
        'Categorie',
        through='StructureCategorie',
        related_name='structures',
        related_query_name='structure',
    )
    type_ventes = models.ManyToManyField(
        'TypeVente',
        through='StructureTypevente',
        related_name='structures',
        related_query_name='structure',
    )

    def __str__(self):
        return self.nom

    def url(self):
        return (
            "http://base.bio-picardie.com"
            "/admin/struc-sub/{}/edit".format(self.id)
        )


class StructureCategorie(models.Model):
    structure = models.ForeignKey(BpStructure, models.DO_NOTHING)
    categorie = models.ForeignKey(Categorie, models.DO_NOTHING)

    class Meta:
        managed = False
        db_table = 'structure_categorie'
        unique_together = (('structure', 'categorie'),)


class StructureTypevente(models.Model):
    structure = models.ForeignKey(BpStructure, models.DO_NOTHING)
    typevente = models.ForeignKey('TypeVente', models.DO_NOTHING)

    class Meta:
        managed = False
        db_table = 'structure_typevente'
        unique_together = (('structure', 'typevente'),)


class Suivi(models.Model):
    structure = models.ForeignKey(
        BpStructure, models.DO_NOTHING, blank=True, null=True
    )
    cm = models.TextField(db_column='CM', blank=True, null=True)
    observation = models.TextField(blank=True, null=True)
    statut = models.CharField(max_length=17, blank=True, null=True)
    type_action = models.TextField(blank=True, null=True)
    code_action = models.TextField(blank=True, null=True)
    action = models.TextField(blank=True, null=True)
    date_maj = models.DateField(blank=True, null=True)
    fichier = models.TextField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'suivi'


class TypeVente(models.Model):
    class Meta:
        managed = False
        db_table = 'type_vente'

    nom = models.TextField(blank=True, null=True)

    def __str__(self):
        return self.nom
