# -*- coding: utf-8 -*-

from django.conf.urls import url
from django.contrib import admin

import gaby.contacts.admin_views as contacts_views


# ## Adminsite
class SiteGestionContacts(admin.sites.AdminSite):
    """
    Personnalisation de AdminSite pour ajouter nos vues.
    """

    index_template = "admin/index_spec.html"

    def get_urls(self):
        urls = super(SiteGestionContacts, self).get_urls()
        my_urls = [
            url(
                r'^contacts/structure/(?P<pk>\d+)/donneesbio/add/$',
                self.admin_view(
                    contacts_views.CreeDonneesBio.as_view(permanent=False)
                ),
                {},
                name='cree_donneesbio',
            ),
            url(
                r'^contacts/donneesbio/(?P<pk>\d+)/validate/$',
                self.admin_view(
                    contacts_views.ToggleValDonneesBio.as_view(
                        action='validate', permanent=False
                    )
                ),
                {},
                name='val_donneesbio',
            ),
            url(
                r'^contacts/donneesbio/(?P<pk>\d+)/unvalidate/$',
                self.admin_view(
                    contacts_views.ToggleValDonneesBio.as_view(
                        action='unvalidate', permanent=False
                    )
                ),
                {},
                name='unval_donneesbio',
            ),
            url(
                r'^contacts/donneesbio/(?P<pk>\d+)/toggleval/$',
                self.admin_view(
                    contacts_views.ToggleValDonneesBio.as_view(
                        action='toggle', permanent=False
                    )
                ),
                {},
                name='toggleval_donneesbio',
            ),
            #            url(r'^aide/$',
            #                self.admin_view(
            #                    TemplateView.as_view(template_name="aide.html")),
            #                {}, name='aide'),
        ]
        return my_urls + urls


site = SiteGestionContacts()
# EOF
