# -*- coding: utf-8 -*-

from django.utils.deprecation import MiddlewareMixin

import gaby.contacts.models as c_models


class AddUserProfileMiddleware(MiddlewareMixin):
    """
    If user is authenticated, add Profil helper class to session
    """

    def process_request(self, request):
        "spice HttpRequest with GetUserProfile"
        if request.user.is_authenticated:
            adh = c_models.AdhLogin.objects.get(pk=request.user.pk)
            request.adh = adh if adh.is_adherent() else None
        else:
            request.adh = None
