# Generated by Django 2.1.7 on 2019-03-15 17:21

import gaby.contacts.models
from django.conf import settings
import django.contrib.auth.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0009_alter_user_last_name_max_length'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('references', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AdhesionGabnor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField(db_index=True)),
                ('montant', models.DecimalField(blank=True, decimal_places=2, max_digits=8, null=True, verbose_name="montant de l'adhésion (en euros)")),
                ('annee', models.IntegerField(blank=True, help_text="Laisser vide pour utiliser l'année de la date d'adhésion", null=True, verbose_name="Adhésion de l'année")),
                ('mode_reg', models.CharField(blank=True, choices=[('chq', 'Chèque'), ('vir', 'Virement'), ('esp', 'Espèces')], max_length=16, null=True, verbose_name='Mode de réglement')),
            ],
            options={
                'verbose_name_plural': '      Adhésions GAB',
                'ordering': ['-date'],
                'verbose_name': 'adhésion GAB',
                'get_latest_by': 'date',
            },
        ),
        migrations.CreateModel(
            name='Assolement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('detail_culture', models.CharField(blank=True, help_text='Complétez si nécessaire la description des cultures', max_length=255, null=True, verbose_name='détail des cultures (si nécessaire)')),
                ('surface_conv', models.DecimalField(blank=True, decimal_places=4, max_digits=10, null=True, verbose_name='conventionnelle')),
                ('surface_c1', models.DecimalField(blank=True, decimal_places=4, max_digits=10, null=True, verbose_name='surface C1')),
                ('surface_c2', models.DecimalField(blank=True, decimal_places=4, max_digits=10, null=True, verbose_name='surface C2')),
                ('surface_c3', models.DecimalField(blank=True, decimal_places=4, max_digits=10, null=True, verbose_name='surface C3')),
                ('surface_bio', models.DecimalField(blank=True, decimal_places=4, max_digits=10, null=True, verbose_name='surface bio')),
                ('tonnage', models.FloatField(blank=True, null=True, verbose_name='tonnage')),
                ('prix', models.FloatField(blank=True, null=True, verbose_name='Prix')),
                ('type_circuit', models.CharField(blank=True, choices=[('VD', 'Vente Directe'), ('CC', 'Circuit court'), ('CL', 'Circuit long')], max_length=10, null=True)),
                ('client', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='references.ClientCulture', verbose_name='client')),
                ('culture', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='references.Culture', verbose_name='culture')),
            ],
        ),
        migrations.CreateModel(
            name='Commercialisation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type_produit', models.CharField(choices=[('autre', 'autres'), ('legume', 'Légumes'), ('fruit', 'Fruits'), ('cereale', 'Produits céréaliers'), ('viande', 'Viande'), ('p_lait', 'Produits laitiers'), ('oeuf', 'Œufs')], default='autre', max_length=20, verbose_name='Type de produit')),
                ('type_circuit', models.CharField(choices=[('autre', 'Autre point de vente'), ('marche', 'Marché'), ('vte_ferme', 'Vente à la Ferme'), ('ceuill_lib', 'cueillette libre'), ('panier_caiss', 'Paniers/Caissettes'), ('amap', 'AMAP'), ('biocabas', 'Biocabas'), ('vte_collect', 'Point de vente collectif'), ('vte_inet', 'Vente par internet'), ('magasin', 'Magasins'), ('rest_comm', 'Restauration commerciale'), ('rest_hors_dom', 'Restauration collective'), ('c_long', 'Circuits longs (grossiste, coopérative, autre acheteur intermédiaire)')], default='autre', max_length=20, verbose_name='Type de circuit')),
                ('ch_aff', models.DecimalField(blank=True, decimal_places=0, max_digits=10, null=True, verbose_name="Chiffre d'affaire HT")),
                ('detail', models.TextField(blank=True, help_text='horaire, date, lieux')),
                ('bio', models.NullBooleanField(verbose_name='Est bio ?')),
            ],
            options={
                'verbose_name_plural': 'Commercialisations',
                'verbose_name': 'Commercialisation',
            },
        ),
        migrations.CreateModel(
            name='DocumentJoint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('document', models.FileField(upload_to='pj/%Y/%m/%d/')),
                ('date_depot', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name_plural': 'Documents Joints',
                'verbose_name': 'document joint',
            },
        ),
        migrations.CreateModel(
            name='DonneesBio',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_collecte', models.DateField(blank=True, null=True)),
                ('date_modification', models.DateField(blank=True, editable=False, null=True)),
                ('date_validation', models.DateField(blank=True, editable=False, null=True)),
                ('annee', models.IntegerField(db_index=True, default=2019, verbose_name='année')),
                ('biodynamie', models.NullBooleanField()),
                ('remarques', models.TextField(blank=True, null=True, verbose_name="remarques de l'équipe")),
                ('aide_conversion_ab', models.NullBooleanField(verbose_name="aide à la conversion à l'agriculture biologique")),
                ('date_aide_conversion_ab', models.DateField(blank=True, help_text="En cas d'aide à la conversion, indiquez la date de signature du contrat (ou de dépôt pour les MAE)", null=True, verbose_name='date de cette aide')),
                ('aide_maintien_ab', models.NullBooleanField(verbose_name="aide au maintien à l'agriculture biologique")),
                ('aide_credit_impot', models.NullBooleanField(verbose_name="crédit d'impôt bio")),
                ('aide_certification_bio', models.NullBooleanField(verbose_name='aide à la certification bio')),
                ('aide_investissement', models.NullBooleanField(verbose_name="aide à l'investissement")),
                ('aide_installation', models.NullBooleanField(verbose_name="aide à l'installation")),
                ('aide_mae_t', models.NullBooleanField(verbose_name='MAE T')),
                ('aide_autres', models.CharField(blank=True, max_length=255, null=True, verbose_name='autres mesures, précisez')),
                ('aide_accompagnement', models.NullBooleanField(verbose_name="avez-vous besoin d'un accompagnement pour solliciter une aide ?")),
                ('aide_accompagnement_precisions', models.TextField(blank=True, null=True, verbose_name='précisions')),
                ('etp_associes', models.DecimalField(blank=True, decimal_places=2, max_digits=6, null=True, verbose_name="ETP d'associés")),
                ('etp_familiaux', models.DecimalField(blank=True, decimal_places=2, max_digits=6, null=True, verbose_name='ETP familiaux')),
                ('etp_salaries_permanents', models.DecimalField(blank=True, decimal_places=2, max_digits=6, null=True, verbose_name='ETP de salariés permanents')),
                ('etp_saisonniers', models.DecimalField(blank=True, decimal_places=2, max_digits=6, null=True, verbose_name='ETP saisonniers')),
                ('etp_encadrants', models.DecimalField(blank=True, decimal_places=2, max_digits=6, null=True, verbose_name='ETP encadrants')),
                ('personnes_insertion', models.IntegerField(blank=True, null=True, verbose_name="Personnes en contrat d'insertion")),
                ('reseaux_engagements', models.TextField(blank=True, null=True, verbose_name='Appartenance à des réseaux et engagements')),
                ('tr_date_fin_prevue', models.DateField(blank=True, help_text='donnez une date approximative si possible', null=True, verbose_name="Date de fin d'activité prévue")),
                ('tr_repreneur_ident', models.NullBooleanField(verbose_name='Repreneur identifié')),
                ('tr_precisions', models.TextField(blank=True, default='', help_text='Identité du repreneur et autre précisions', verbose_name='Précisions')),
                ('statut_commercialisation', models.NullBooleanField(verbose_name="utilisation d'un statut spécifique pour la commercialisation")),
                ('com_ca_total', models.DecimalField(blank=True, decimal_places=0, editable=False, max_digits=10, null=True, verbose_name="Chiffre d'affaire total HT")),
                ('com_pct_ca_bio', models.DecimalField(blank=True, decimal_places=0, editable=False, max_digits=4, null=True, verbose_name='Part du CA bio (%)')),
                ('acc_act_tour', models.NullBooleanField(verbose_name='Activité touristique')),
                ('acc_act_peda', models.NullBooleanField(verbose_name='Activité pédagogique')),
                ('acc_rest_bio', models.NullBooleanField(verbose_name='Restauration bio')),
                ('acc_act_autre', models.NullBooleanField(verbose_name='Autres activité')),
                ('detail_activites', models.TextField(blank=True, null=True, verbose_name='détail des activités')),
                ('lait_vaches', models.NullBooleanField(verbose_name='lait de vaches bio')),
                ('lait_nb_vaches', models.PositiveIntegerField(blank=True, null=True, verbose_name='nombre de vaches laitières')),
                ('lait_quota_laiterie', models.PositiveIntegerField(blank=True, null=True, verbose_name='quota laiterie (en L)')),
                ('lait_quota_vente_directe', models.PositiveIntegerField(blank=True, null=True, verbose_name='quota vente directe (en L)')),
                ('lait_prod_laiterie', models.PositiveIntegerField(blank=True, null=True, verbose_name='Lait vendu en laiterie (en L)')),
                ('lait_prod_vente_directe', models.PositiveIntegerField(blank=True, null=True, verbose_name='Lait vendu en direct (en L)')),
                ('lait_reformes_cl', models.PositiveIntegerField(blank=True, null=True, verbose_name="Nb d'animaux adultes type lait valorisés en circuit long (Réformes,Génisses, Boeufs)")),
                ('lait_taurillons_cl', models.PositiveIntegerField(blank=True, null=True, verbose_name='Nb de veaux type lait valorisés en circuit long')),
                ('lait_adultes_cc', models.PositiveIntegerField(blank=True, null=True, verbose_name="nb d'adultes laitiers vendus en circuit court / an")),
                ('lait_veaux_cc', models.PositiveIntegerField(blank=True, null=True, verbose_name='nb de veaux laitiers vendus en circuit court / an')),
                ('lait_chevres', models.NullBooleanField(verbose_name='chèvres bio')),
                ('lait_nb_chevres', models.PositiveIntegerField(blank=True, null=True, verbose_name='nombre de chèvres')),
                ('lait_chevres_conversion', models.PositiveIntegerField(blank=True, null=True, verbose_name='nombre de chèvres en conversion')),
                ('lait_chevres_prod', models.PositiveIntegerField(blank=True, null=True, verbose_name='litres de lait de chèvre produits par an')),
                ('bovine', models.NullBooleanField(verbose_name='viande bovine bio')),
                ('bovine_nb_va', models.PositiveIntegerField(blank=True, null=True, verbose_name='nombre VA')),
                ('bovine_reformes_cl', models.PositiveIntegerField(blank=True, help_text='(Réformes,Génisses, Boeufs)', null=True, verbose_name="Nb d'animaux adultes type viande valorisés en circuit long")),
                ('bovine_taurillons_cl', models.PositiveIntegerField(blank=True, null=True, verbose_name='Nb de veaux type viande valorisés en circuit long')),
                ('bovine_adultes_cc', models.PositiveIntegerField(blank=True, null=True, verbose_name="nb d'adultes race à viande vendus en circuit court / an")),
                ('bovine_veaux_cc', models.PositiveIntegerField(blank=True, null=True, verbose_name='nb de veaux race à viande vendus en circuit court / an')),
                ('porcs', models.NullBooleanField(verbose_name='porc bio')),
                ('porcs_nb_truies', models.PositiveIntegerField(blank=True, null=True, verbose_name='nombre de truies')),
                ('porcs_nb_com', models.PositiveIntegerField(blank=True, null=True, verbose_name='nombre de porcs commercialisés')),
                ('moutons', models.NullBooleanField(verbose_name='moutons bio')),
                ('moutons_nb_brebis', models.PositiveIntegerField(blank=True, null=True, verbose_name='nombre de brebis')),
                ('moutons_nb_agn_com', models.PositiveIntegerField(blank=True, null=True, verbose_name="nombre d'agneaux commercialisés")),
                ('animaux_lapins', models.NullBooleanField(verbose_name='production de lapins bio')),
                ('animaux_volailles', models.NullBooleanField(verbose_name='production de volailles de chair bio')),
                ('animaux_volailles_chair', models.TextField(blank=True, null=True, verbose_name='Détail type de volailles (poulets, pintades, dindes)')),
                ('animaux_nb_poulets', models.PositiveIntegerField(blank=True, null=True, verbose_name='nb poulets (produits par an)')),
                ('animaux_nb_lapins', models.PositiveIntegerField(blank=True, null=True, verbose_name='nb lapins')),
                ('animaux_nb_autres_volailles', models.PositiveIntegerField(blank=True, null=True, verbose_name='nb autres volailles')),
                ('animaux_autres_prod', models.NullBooleanField(verbose_name='Autres productions animales bio')),
                ('animaux_details_autres_prod', models.TextField(blank=True, null=True, verbose_name='détail autres productions animale')),
                ('oeufs_production_bio', models.NullBooleanField(verbose_name="production d'œufs bio")),
                ('oeufs_nb_pondeuses', models.PositiveIntegerField(blank=True, null=True, verbose_name='nb de pondeuses')),
                ('oeufs_nb_oeufs', models.PositiveIntegerField(blank=True, null=True, verbose_name="nb d'œufs")),
                ('miel_production_bio', models.NullBooleanField(verbose_name='apiculture bio')),
                ('miel_nb_ruches', models.PositiveIntegerField(blank=True, null=True, verbose_name='nb de ruches')),
                ('formation_annee', models.NullBooleanField(verbose_name="avez-vous participé à une formation au cours de l'année écoulée ?")),
                ('formation_annee_commentaire', models.TextField(blank=True, null=True, verbose_name='commentaires')),
                ('formation_avenir', models.NullBooleanField(verbose_name="avez-vous des besoins en formation à l'avenir ?")),
                ('formation_avenir_details', models.TextField(blank=True, null=True, verbose_name='détails')),
                ('ass_total', models.DecimalField(blank=True, decimal_places=4, default=0, help_text="Note: ce total n'est mis à jour qu'après enregistrement de la page", max_digits=10, verbose_name='Assolement total')),
                ('ass_total_bio', models.DecimalField(blank=True, decimal_places=4, default=0, help_text="Note: ce total n'est mis à jour qu'après enregistrement de la page", max_digits=10, verbose_name='Assolement total bio')),
                ('lait_vaches_conversion', models.PositiveIntegerField(blank=True, null=True, verbose_name='nombre de vaches en conversion')),
                ('bovine_nb_conversion', models.PositiveIntegerField(blank=True, null=True, verbose_name='VA conversion')),
            ],
            options={
                'verbose_name_plural': "    Infos annuelles sur l'exploitation",
                'ordering': ['-annee', 'agriculteur_bio'],
                'verbose_name': "Info annuelle sur l'exploitation",
            },
        ),
        migrations.CreateModel(
            name='Personne',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('civilite', models.CharField(blank=True, choices=[('M.', 'Monsieur'), ('Mme', 'Madame')], max_length=10, null=True, verbose_name='civilité')),
                ('nom', models.CharField(max_length=255)),
                ('prenom', models.CharField(max_length=255, verbose_name='prénom')),
                ('date_naissance', models.DateField(blank=True, null=True, verbose_name='date de naissance')),
                ('date_installation', models.DateField(blank=True, null=True, verbose_name="date d'installation")),
                ('fonction', models.CharField(blank=True, max_length=255, null=True, verbose_name='fonction')),
                ('adresse', models.TextField(blank=True, help_text="Saisissez l'adresse de la personne, sur 4 lignes maximum.", verbose_name='adresse personnelle')),
                ('code_postal', models.CharField(blank=True, help_text='Laisser vide pour utiliser celui associé à la commune', max_length=10, null=True)),
                ('ville', models.CharField(blank=True, help_text='Nom de ville avec code cédex si nécessaire, si différent du nom de la commune.', max_length=255, null=True)),
                ('courrier_structure', models.BooleanField(default=False, help_text='Cochez cette case si la personne doit recevoir les courriers papier envoyés à la structure.', verbose_name='Recevoir les courriers adressés à la structure')),
                ('tel_fixe', models.CharField(blank=True, max_length=100, verbose_name='téléphone fixe')),
                ('tel_mobile', models.CharField(blank=True, max_length=100, verbose_name='téléphone mobile')),
                ('fax', models.CharField(blank=True, max_length=100, null=True)),
                ('courriel', models.CharField(blank=True, max_length=255)),
                ('pas_de_courriel', models.BooleanField(default=False, help_text='Cochez cette case si la personne ne souhaite pas recevoir de courriel envoyé automatiquement.', verbose_name="pas d'envoi automatique de courriel")),
                ('reseaux_engagements', models.TextField(blank=True, null=True, verbose_name='Appartenance à des réseaux et engagements')),
                ('date_creation', models.DateField(editable=False, verbose_name="date de saisie de l'enregistrement")),
                ('date_derniere_modification', models.DateField(editable=False, verbose_name='date de dernière modification de informations')),
                ('commune', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='references.Commune')),
            ],
            options={
                'verbose_name_plural': '          Personne',
                'ordering': ['nom', 'prenom', 'structure__designation'],
            },
        ),
        migrations.CreateModel(
            name='ProjetBio',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
                ('freins_identifies', models.TextField(blank=True, null=True, verbose_name='Points favorables et freins à la conversion')),
                ('pond_savoirfaire', models.IntegerField(choices=[(-1, 'frein à la conversion '), (0, 'neutre'), (1, 'point favorable à la conversion')], default=0, help_text="Manque de savoir-faire ou de connaissances (projet mal défini...), peur de ne pas être à la hauteur, manque de rigueur, manque de qualification de l'exploitant, formation initiale non adaptée", verbose_name='Savoir faire')),
                ('pond_motivation', models.IntegerField(choices=[(-1, 'frein à la conversion '), (0, 'neutre'), (1, 'point favorable à la conversion')], default=0, help_text='Manque de motivation, faible sensibilité à la bio, peu enclin au changement, proche de la retraite, pas envie de réorienter un système intensif, pas de frein identifié, mauvaise image de la bio, peur de perte de revenu non-avérée.', verbose_name='Motivation')),
                ('pond_entourage', models.IntegerField(choices=[(-1, 'frein à la conversion '), (0, 'neutre'), (1, 'point favorable à la conversion')], default=0, help_text="Pression de l'entourage (familles, conseillers techniques ou financier, système intégré...)", verbose_name='Entourage')),
                ('pond_foncier', models.IntegerField(choices=[(-1, 'frein à la conversion '), (0, 'neutre'), (1, 'point favorable à la conversion')], default=0, help_text="Problème de foncier (manque de surface, menace de perdre des surfaces, manque de surface accessible aux vaches, qualité des terres...), pas de foncier dans le cas d'une installation", verbose_name='Foncier')),
                ('pond_materiel', models.IntegerField(choices=[(-1, 'frein à la conversion '), (0, 'neutre'), (1, 'point favorable à la conversion')], default=0, help_text="Moyens de productions faibles ou inadaptés et difficilement adaptables, génétique animale ou végétale peu adaptée, race de vache, variété de pomme, manque de main d'œuvre, bâtiment inadapté trop petit ou pas aux normes, bâtiment de stockage inadapté", verbose_name='Matériel')),
                ('pond_reglementation', models.IntegerField(choices=[(-1, 'frein à la conversion '), (0, 'neutre'), (1, 'point favorable à la conversion')], default=0, help_text='Problème réglementaires, mixité, engagé dans un cahier des charges, forfait fiscal, règle ICPE, MAEt ou PAE.', verbose_name='Réglementation')),
                ('pond_commercialisation', models.IntegerField(choices=[(-1, 'frein à la conversion '), (0, 'neutre'), (1, 'point favorable à la conversion')], default=0, help_text='Commercialisation, difficulté à passer des hausses de prix en vente directe, produit sans valorisation bio ou sans filière longue (betterave sucrières, moutons, volaille de chair), plus value jugée faible en bio, perte de revenu, cahier des charges privé', verbose_name='Commercialisation')),
                ('pond_financement', models.IntegerField(choices=[(-1, 'frein à la conversion '), (0, 'neutre'), (1, 'point favorable à la conversion')], default=0, help_text="Manque de financement du projet, manque d'aides financières (Peu oupas d'aide à la conversion), dans le cas des installations : peu ou pas d'apport de capital/incapacité à investir/pas d'accès aux aides installation", verbose_name='Financement')),
                ('pond_maindoeuvre', models.IntegerField(choices=[(-1, 'frein à la conversion '), (0, 'neutre'), (1, 'point favorable à la conversion')], default=0, help_text="Manque de qualification de la main d'œuvre à embaucher, Manque de main d'œuvre", verbose_name="Main d'Oeuvre ")),
                ('suites_a_donner', models.TextField(blank=True, null=True, verbose_name='suites à donner')),
                ('remarques', models.TextField(blank=True, null=True, verbose_name='remarques')),
                ('etude_demandee', models.NullBooleanField(verbose_name='Étude demandée ?')),
                ('date_etude', models.DateField(blank=True, null=True, verbose_name="Date de l'étude")),
                ('date_probable_certification', models.CharField(blank=True, choices=[('long terme', 'Long terme'), ('moyen terme', 'Moyen terme'), ('date fournie', 'Date précisée ci-après')], help_text="Si vous choisissez l'option « Date précisée ci-après », merci de préciser la date.", max_length=20, null=True, verbose_name='date probable de début de conversion')),
                ('date_certification', models.DateField(blank=True, help_text='à remplir si vous avez choisi l\'option "Date précisée"', null=True, verbose_name='Date de début de conversion prévue')),
                ('engagement_surf', models.DecimalField(blank=True, decimal_places=4, help_text='utilisez . comme séparateur décimal', max_digits=10, null=True, verbose_name='Surface engagée (en ha)')),
                ('engagement_oc_enjeu_eau', models.DecimalField(blank=True, decimal_places=4, help_text='utilisez . comme séparateur décimal', max_digits=10, null=True, verbose_name='Surface engagée sur commune à enjeu eau (ha)')),
                ('installation_bio', models.NullBooleanField(verbose_name='installation bio')),
                ('date_engagement_oc', models.DateField(blank=True, db_index=True, null=True, verbose_name="date d'engagement de l'OC")),
                ('commentaire', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name_plural': '      Projets de passage en bio',
                'verbose_name': 'projet de passage en bio',
            },
        ),
        migrations.CreateModel(
            name='Rdv',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField(db_index=True)),
                ('type_rdv', models.CharField(choices=[('Individuel', (('premier_diagnostic', 'Premier diagnostic'), ('etude', 'Étude'), ('suivi_projet', 'Suivi projet'), ('suivi_conversion', 'Suivi de conversion'), ('visite_annuelle', 'Suivi bio'), ('contrat_obj', "Contrat d'objectif"), ('diag_sens', 'Diagnostic de sensibilité'), ('suivi_presta', 'Suivi en prestation'))), ('Collectif', (('evt', 'Evenement'), ('formation', 'Formation'), ('visite_ferme', 'Visite de ferme'), ('autre', 'Autre')))], max_length=25, verbose_name='type')),
                ('objectif', models.TextField(blank=True, default='')),
                ('res_attendu', models.TextField(blank=True, default='')),
                ('acc_duree', models.DecimalField(blank=True, decimal_places=1, help_text='en heure', max_digits=3, null=True, verbose_name='Temps passé')),
                ('acc_distance', models.DecimalField(blank=True, decimal_places=1, help_text='en km', max_digits=4, null=True, verbose_name='Distance associée')),
                ('est_confirme', models.BooleanField(blank=True, default=False, verbose_name='est confirmé')),
                ('commentaire', models.TextField(blank=True)),
                ('pk_rdv_suivi', models.IntegerField(default=0, editable=False)),
                ('pk_rdv_bio', models.IntegerField(default=0, editable=False)),
                ('finance_prog', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='references.FinanceProg', verbose_name='Financement / Programme concerné')),
                ('intervenant', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='intervenant_pers', to='contacts.Personne')),
                ('lieu', models.ForeignKey(blank=True, help_text='si vide, rempli automatiquement', null=True, on_delete=django.db.models.deletion.SET_NULL, to='references.Commune')),
                ('organisateur', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='organisation_pers', to='contacts.Personne')),
            ],
            options={
                'verbose_name_plural': 'Rendez vous et Évenements',
                'ordering': ['-date'],
                'verbose_name': 'Rendez vous ou Évenement',
                'get_latest_by': 'date',
            },
        ),
        migrations.CreateModel(
            name='RdvPersonne',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('personne', models.ForeignKey(help_text='pour les rendez vous collectifs', on_delete=django.db.models.deletion.CASCADE, to='contacts.Personne', verbose_name='Personne physique')),
                ('rdv', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contacts.Rdv')),
            ],
            options={
                'db_table': 'contacts_rdv_personnes',
            },
        ),
        migrations.CreateModel(
            name='RdvPersonneMorale',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rdv', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contacts.Rdv')),
            ],
            options={
                'db_table': 'contacts_rdv_personnes_morales',
            },
        ),
        migrations.CreateModel(
            name='Structure',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
                ('adresse', models.TextField(blank=True, null=True)),
                ('non_courrier', models.BooleanField(blank=True, default=False, verbose_name='ne pas envoyer de courrier à cette adresse')),
                ('code_postal', models.CharField(blank=True, help_text='Laisser vide pour utiliser celui associé à la commune', max_length=10, null=True)),
                ('ville', models.CharField(blank=True, help_text='Nom de ville avec code cédex si nécessaire,  si différent du nom de la commune.', max_length=255, null=True)),
                ('tel_fixe', models.CharField(blank=True, max_length=100, null=True, verbose_name='téléphone fixe')),
                ('tel_mobile', models.CharField(blank=True, max_length=100, null=True, verbose_name='téléphone mobile')),
                ('fax', models.CharField(blank=True, max_length=100, null=True)),
                ('courriel', models.CharField(blank=True, max_length=250, null=True)),
                ('siret', models.CharField(blank=True, help_text='14 chiffres sans espaces', max_length=14, null=True, verbose_name='N. Siret')),
                ('pas_de_courriel', models.BooleanField(default=False, help_text='Cochez cette case si cette structure ne souhaite pas recevoir de courriel envoyé automatiquement.', verbose_name="pas d'envoi automatique de courriel")),
                ('site_web', models.URLField(blank=True, max_length=250, null=True, verbose_name='URL du site web')),
                ('date_creation', models.DateField(editable=False, verbose_name="date de saisie de l'enregistrement")),
                ('date_derniere_modification', models.DateField(editable=False, verbose_name='date de dernière modification des informations')),
                ('origine_contact', models.CharField(blank=True, max_length=255, null=True, verbose_name='origine du contact')),
                ('annee_contact', models.IntegerField(blank=True, choices=[(2008, 2008), (2009, 2009), (2010, 2010), (2011, 2011), (2012, 2012), (2013, 2013), (2014, 2014), (2015, 2015), (2016, 2016), (2017, 2017), (2018, 2018)], null=True, verbose_name='Année du premier contact')),
                ('mois_contact', models.IntegerField(blank=True, choices=[(1, 'Janvier'), (2, 'Février'), (3, 'Mars'), (4, 'Avril'), (5, 'Mai'), (6, 'Juin'), (7, 'Juillet'), (8, 'Août'), (9, 'Septembre'), (10, 'Octobre'), (11, 'Novembre'), (12, 'Décembre')], null=True, verbose_name='Mois du premier contact')),
                ('sage', models.CharField(blank=True, max_length=255, null=True, verbose_name='SAGE')),
                ('commentaire', models.TextField(blank=True, null=True)),
                ('type_pm', models.IntegerField(choices=[(0, 'autre'), (1, 'conventionnel'), (2, 'bio')], default=0, verbose_name='Statut bio')),
                ('visibilite', models.CharField(choices=[('personne', 'Dépublié'), ('tous', 'Visible par tous'), ('adherents', 'Visible par les adhérents seulement')], default='personne', max_length=255, verbose_name="publication sur l'annuaire du site")),
                ('sau_eau', models.DecimalField(blank=True, decimal_places=2, help_text='Surface agricole utile sur commune à enjeu eau (en ha)', max_digits=10, null=True, verbose_name='SAU à enjeu eau')),
                ('sau_eau_bio', models.DecimalField(blank=True, decimal_places=2, help_text='Surface agricole utile en biologique sur commune à enjeu eau (en ha)', max_digits=10, null=True, verbose_name='SAU en biologique à enjeu eau')),
                ('parc_naturel_regional', models.CharField(blank=True, choices=[('', 'Aucun'), ("Parc naturel régional des Caps et Marais d'Opale", "Parc naturel régional des Caps et Marais d'Opale"), ('Parc naturel régional Scarpe-Escaut', 'Parc naturel régional Scarpe-Escaut'), ("Parc naturel régional de l'Avesnois", "Parc naturel régional de l'Avesnois")], max_length=200, null=True, verbose_name='parc naturel régional')),
            ],
            options={
                'verbose_name_plural': '         Personnes Morales',
                'ordering': ['designation'],
                'verbose_name': 'Personne Morale',
            },
        ),
        migrations.CreateModel(
            name='Transformation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ferme', models.NullBooleanField(verbose_name='Transformation à la ferme')),
                ('type_pduit', models.CharField(choices=[('lait', 'Produits laitiers'), ('fruits', 'Fruits'), ('legumes', 'Légumes'), ('cereales', 'Céreales'), ('autres', 'Autres')], max_length=20, verbose_name='Type de produit')),
                ('agrmt', models.CharField(choices=[('dispence', 'Dispense'), ('ce', ' CE'), ('aucun', ' aucun')], max_length=20, verbose_name='Agrément')),
                ('list_pduit', models.TextField(blank=True, verbose_name='Détail (liste des produits transformés)')),
                ('part_vol_glob', models.DecimalField(blank=True, decimal_places=0, help_text='en pourcentage', max_digits=10, null=True, verbose_name='Part du volume global')),
                ('est_bio', models.NullBooleanField(verbose_name='Est bio ?')),
                ('donneesbio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contacts.DonneesBio', verbose_name='objet donneesbio')),
                ('lait_abattoirs_vl', models.ManyToManyField(blank=True, to='references.Abattoir', verbose_name='Abattoirs circuit court')),
            ],
            options={
                'verbose_name_plural': 'Transformations',
                'verbose_name': 'Transformation',
            },
        ),
        migrations.CreateModel(
            name='AdhLogin',
            fields=[
            ],
            options={
                'verbose_name_plural': '      Comptes adhérents',
                'verbose_name': 'Compte adhérent',
                'indexes': [],
                'proxy': True,
            },
            bases=('auth.user',),
            managers=[
                ('objects_adh', gaby.contacts.models.AdhManager()),
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.AddField(
            model_name='structure',
            name='adherent',
            field=models.ForeignKey(blank=True, help_text="compte permettant la connexion à l'application", null=True, on_delete=django.db.models.deletion.SET_NULL, to='contacts.AdhLogin', verbose_name='compte adhérent'),
        ),
        migrations.AddField(
            model_name='structure',
            name='commune',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='references.Commune'),
        ),
        migrations.AddField(
            model_name='structure',
            name='etiquettes',
            field=models.ManyToManyField(blank=True, to='references.Etiquette', verbose_name='étiquettes'),
        ),
        migrations.AddField(
            model_name='structure',
            name='f_juridique',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='references.FormeJuridique', verbose_name='Forme juridique'),
        ),
        migrations.AddField(
            model_name='structure',
            name='premiere_adhesion',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='premieres_adhesions', to='contacts.AdhesionGabnor', verbose_name='Première adhésion'),
        ),
        migrations.AddField(
            model_name='structure',
            name='qual_compl',
            field=models.ManyToManyField(blank=True, to='references.AutreQualificatifExploitation', verbose_name='autres activités bio'),
        ),
        migrations.AddField(
            model_name='structure',
            name='qual_compl_conv',
            field=models.ManyToManyField(blank=True, related_name='structure_conv', to='references.AutreQualificatifExploitation', verbose_name='autres activités conventionnelles'),
        ),
        migrations.AddField(
            model_name='structure',
            name='renouvellement_adhesion',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='renouvellements', to='contacts.AdhesionGabnor', verbose_name="dernier renouvellement d'adhésion"),
        ),
        migrations.AddField(
            model_name='structure',
            name='statut',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='references.StatutStructure'),
        ),
        migrations.AddField(
            model_name='structure',
            name='type_activite',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='references.TypeActivite', verbose_name='Activité principale bio'),
        ),
        migrations.AddField(
            model_name='structure',
            name='type_activite_pri',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='structure_pri', to='references.TypeActivite', verbose_name='Activité principale'),
        ),
        migrations.AddField(
            model_name='structure',
            name='utilisateur_derniere_modification',
            field=models.ForeignKey(editable=False, on_delete=django.db.models.deletion.PROTECT, related_name='adherent_structure', to=settings.AUTH_USER_MODEL, verbose_name='dernière modification par'),
        ),
        migrations.AddField(
            model_name='rdvpersonnemorale',
            name='structure',
            field=models.ForeignKey(help_text='pour les rendez vous collectifs', on_delete=django.db.models.deletion.CASCADE, to='contacts.Structure', verbose_name='Personne morale'),
        ),
        migrations.AddField(
            model_name='rdv',
            name='personne_morale',
            field=models.ForeignKey(blank=True, help_text='pour les rendez vous individuels', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rdv_ind_set', to='contacts.Structure', verbose_name='Personne morale'),
        ),
        migrations.AddField(
            model_name='rdv',
            name='personnes',
            field=models.ManyToManyField(through='contacts.RdvPersonne', to='contacts.Personne', verbose_name='Participant(s) ind.'),
        ),
        migrations.AddField(
            model_name='rdv',
            name='personnes_morales',
            field=models.ManyToManyField(help_text='pour les rendez vous collectifs', related_name='evt_set', through='contacts.RdvPersonneMorale', to='contacts.Structure', verbose_name='Participants'),
        ),
        migrations.AddField(
            model_name='rdv',
            name='projet_bio',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='contacts.ProjetBio', verbose_name='Projet bio'),
        ),
        migrations.AddField(
            model_name='rdv',
            name='public_cible',
            field=models.ManyToManyField(blank=True, to='references.PublicCible'),
        ),
        migrations.AddField(
            model_name='rdv',
            name='technicien',
            field=models.ForeignKey(on_delete=models.SET(gaby.contacts.models.get_rem_user), to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='rdv',
            name='territoire_cible',
            field=models.ManyToManyField(blank=True, to='references.Territoire'),
        ),
        migrations.AddField(
            model_name='rdv',
            name='titre_evt',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='references.Formation', verbose_name='Désignation évenement'),
        ),
        migrations.AddField(
            model_name='projetbio',
            name='agriculteur',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='contacts.Structure'),
        ),
        migrations.AddField(
            model_name='projetbio',
            name='technicien',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='Suivi par'),
        ),
        migrations.AddField(
            model_name='personne',
            name='structure',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contacts.Structure', verbose_name='affilié à'),
        ),
        migrations.AddField(
            model_name='personne',
            name='utilisateur_derniere_modification',
            field=models.ForeignKey(editable=False, on_delete=models.SET(gaby.contacts.models.get_rem_user), to=settings.AUTH_USER_MODEL, verbose_name='dernière modification par'),
        ),
        migrations.AddField(
            model_name='donneesbio',
            name='agriculteur_bio',
            field=models.ForeignKey(limit_choices_to={'type_pm__gte': 1}, on_delete=django.db.models.deletion.CASCADE, to='contacts.Structure', verbose_name='Agriculteur'),
        ),
        migrations.AddField(
            model_name='donneesbio',
            name='formation_annee_laquelle',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='references.Formation', verbose_name='si oui, laquelle ?'),
        ),
        migrations.AddField(
            model_name='donneesbio',
            name='formation_avenir_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='references.TypeFormation', verbose_name='si oui, lesquelles ?'),
        ),
        migrations.AddField(
            model_name='donneesbio',
            name='lait_laiterie',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='references.Laiterie', verbose_name='laiterie'),
        ),
        migrations.AddField(
            model_name='donneesbio',
            name='oeufs_acheteur_cl',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='references.AcheteurOeufs', verbose_name='acheteur circuit long'),
        ),
        migrations.AddField(
            model_name='donneesbio',
            name='organisme_certification',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='references.OrganismeDeCertification', verbose_name='organisme de certification'),
        ),
        migrations.AddField(
            model_name='donneesbio',
            name='statut_choisi',
            field=models.ForeignKey(blank=True, help_text="en cas d'utilisation d'un statut spécifique pour la commercialisation, indiquez-le ici.", null=True, on_delete=django.db.models.deletion.PROTECT, to='references.StatutCommercialisation', verbose_name='statut choisi'),
        ),
        migrations.AddField(
            model_name='donneesbio',
            name='technicien',
            field=models.ForeignKey(blank=True, help_text='Personne ayant collecté les données', null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='documentjoint',
            name='rdv',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='contacts.Rdv'),
        ),
        migrations.AddField(
            model_name='commercialisation',
            name='donneesbio',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contacts.DonneesBio', verbose_name='objet donneesbio'),
        ),
        migrations.AddField(
            model_name='assolement',
            name='donneesbio',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contacts.DonneesBio', verbose_name='objet donneesbio'),
        ),
        migrations.AddField(
            model_name='adhesiongabnor',
            name='agriculteur_bio',
            field=models.ForeignKey(limit_choices_to={'type_pm__gte': 1}, on_delete=django.db.models.deletion.CASCADE, to='contacts.Structure'),
        ),
        migrations.CreateModel(
            name='AdhesionGabnorRo',
            fields=[
            ],
            options={
                'verbose_name_plural': '      Adhésions GAB (lecture seule)',
                'verbose_name': 'adhésion GAB (lecture seule)',
                'indexes': [],
                'proxy': True,
            },
            bases=('contacts.adhesiongabnor',),
        ),
        migrations.CreateModel(
            name='DonneesBioRo',
            fields=[
            ],
            options={
                'verbose_name_plural': "    Infos annuelles sur l'exploitation (lecture seule)",
                'verbose_name': "Info annuelle sur l'expl. (lect. seule)",
                'indexes': [],
                'proxy': True,
            },
            bases=('contacts.donneesbio',),
        ),
        migrations.CreateModel(
            name='PersonneRo',
            fields=[
            ],
            options={
                'verbose_name_plural': '         Personnes (lecture seule)',
                'verbose_name': 'Personne (lecture seule)',
                'indexes': [],
                'proxy': True,
            },
            bases=('contacts.personne',),
        ),
        migrations.CreateModel(
            name='ProjetBioRo',
            fields=[
            ],
            options={
                'verbose_name_plural': '     Projets de passage en bio (lecture seule)',
                'verbose_name': 'Projet de passage en bio (lect. seule)',
                'indexes': [],
                'proxy': True,
            },
            bases=('contacts.projetbio',),
        ),
        migrations.CreateModel(
            name='RdvRo',
            fields=[
            ],
            options={
                'verbose_name_plural': 'Rendez vous et Évenements (lecture seule)',
                'verbose_name': 'Rendez vous ou Évenement (lect. seule)',
                'indexes': [],
                'proxy': True,
            },
            bases=('contacts.rdv',),
        ),
        migrations.CreateModel(
            name='StructureRo',
            fields=[
            ],
            options={
                'verbose_name_plural': '       Personnes Morales (lecture seule)',
                'verbose_name': 'Personne Morale (lecture seule)',
                'indexes': [],
                'proxy': True,
            },
            bases=('contacts.structure',),
        ),
        migrations.AlterUniqueTogether(
            name='rdvpersonnemorale',
            unique_together={('rdv', 'structure')},
        ),
        migrations.AlterUniqueTogether(
            name='rdvpersonne',
            unique_together={('rdv', 'personne')},
        ),
    ]
