# Generated by Django 2.1.7 on 2019-03-26 14:10

from django.db import migrations, IntegrityError


def get_perm_equiv_codename(perm):
    "for <ANY>_<MODEL>ro, get view_<MODEL>"
    sub_perm, sep, model_name = perm.codename.partition('_')
    return 'view_{0}'.format(model_name[:-2])


def get_perms_equiv_codename(group):
    new_perms_codename = set()
    for perm in group.permissions.filter(codename__endswith='ro'):
        new_perms_codename.add(get_perm_equiv_codename(perm))
    return new_perms_codename


def convert_groups_perms(apps, schema_editor):
    Group = apps.get_model('auth.Group')
    Permission = apps.get_model('auth.Permission')
    for group in Group.objects.all():
        perms_codename = get_perms_equiv_codename(group)
        for perm_codename in perms_codename:
            group.permissions.add(
                Permission.objects.get(codename=perm_codename)
            )


class Migration(migrations.Migration):

    dependencies = [
        ('contacts', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(convert_groups_perms),
    ]
