# Generated by Django 2.1.8 on 2019-04-24 01:09

from django.db import migrations, IntegrityError

MODELS_FIELDS = [
    ('Structure', ['adresse', 'code_postal', 'ville', 'tel_fixe', 'tel_mobile', 'fax', 'courriel', 'siret', 'origine_contact', 'sage', 'commentaire']),
    ('ProjetBio', ['description', 'freins_identifies', 'suites_a_donner', 'remarques', 'commentaire']),
    ('DonneesBio', ['remarques', 'aide_autres', 'aide_accompagnement_precisions', 'reseaux_engagements', 'detail_activites', 'animaux_volailles_chair', 'animaux_details_autres_prod', 'formation_annee_commentaire', 'formation_avenir_details']),
    ('Assolement', ['detail_culture', 'type_circuit']),
    ('Personne', ['civilite', 'fonction', 'code_postal', 'ville', 'fax', 'reseaux_engagements']),
    ('AdhesionGabnor', ['mode_reg'])
]

def null_to_str(model, field_name):
    filter_null = {'{}__isnull'.format(field_name): True}
    model.objects.filter(**filter_null).update(**{field_name: ''})


def null_to_empty_string(apps, schema_editor):
    for model_name, field_list in MODELS_FIELDS:
        model = apps.get_model('contacts.{}'.format(model_name))
        for field_name in field_list:
            null_to_str(model, field_name)
#    raise IntegrityError('work in progress')


class Migration(migrations.Migration):

    dependencies = [
        ('contacts', '0008_structure_description'),
    ]

    operations = [
        migrations.RunPython(null_to_empty_string),
    ]
