# Generated by Django 2.1.8 on 2019-04-24 01:56

from django.db import migrations, models


def set_constraint_immediate(apps, schema_editor):
    if schema_editor.connection.vendor != 'postgresql':
        return
    migrations.RunSQL('SET CONSTRAINTS ALL IMMEDIATE')


def set_noop(apps, schema_editor):
    if schema_editor.connection.vendor != 'postgresql':
        return
    migrations.RunSQL.noop


class Migration(migrations.Migration):

    dependencies = [
        ('contacts', '0009_reset_null_to_empty_string'),
    ]

    operations = [
        migrations.RunPython(set_constraint_immediate, set_noop),
        migrations.AlterField(
            model_name='adhesiongabnor',
            name='mode_reg',
            field=models.CharField(blank=True, choices=[('chq', 'Chèque'), ('vir', 'Virement'), ('esp', 'Espèces')], default='', max_length=16, verbose_name='Mode de réglement'),
        ),
        migrations.AlterField(
            model_name='assolement',
            name='detail_culture',
            field=models.CharField(blank=True, default='', help_text='Complétez si nécessaire la description des cultures', max_length=255, verbose_name='détail des cultures (si nécessaire)'),
        ),
        migrations.AlterField(
            model_name='assolement',
            name='type_circuit',
            field=models.CharField(blank=True, choices=[('VD', 'Vente Directe'), ('CC', 'Circuit court'), ('CL', 'Circuit long')], default='', max_length=10),
        ),
        migrations.AlterField(
            model_name='commercialisation',
            name='detail',
            field=models.TextField(blank=True, default='', help_text='horaire, date, lieux'),
        ),
        migrations.AlterField(
            model_name='donneesbio',
            name='aide_accompagnement_precisions',
            field=models.TextField(blank=True, default='', verbose_name='précisions'),
        ),
        migrations.AlterField(
            model_name='donneesbio',
            name='aide_autres',
            field=models.CharField(blank=True, default='', max_length=255, verbose_name='autres mesures, précisez'),
        ),
        migrations.AlterField(
            model_name='donneesbio',
            name='animaux_details_autres_prod',
            field=models.TextField(blank=True, default='', verbose_name='détail autres productions animale'),
        ),
        migrations.AlterField(
            model_name='donneesbio',
            name='animaux_volailles_chair',
            field=models.TextField(blank=True, default='', verbose_name='Détail type de volailles (poulets, pintades, dindes)'),
        ),
        migrations.AlterField(
            model_name='donneesbio',
            name='detail_activites',
            field=models.TextField(blank=True, default='', verbose_name='détail des activités'),
        ),
        migrations.AlterField(
            model_name='donneesbio',
            name='formation_annee_commentaire',
            field=models.TextField(blank=True, default='', verbose_name='commentaires'),
        ),
        migrations.AlterField(
            model_name='donneesbio',
            name='formation_avenir_details',
            field=models.TextField(blank=True, default='', verbose_name='détails'),
        ),
        migrations.AlterField(
            model_name='donneesbio',
            name='remarques',
            field=models.TextField(blank=True, default='', verbose_name="remarques de l'équipe"),
        ),
        migrations.AlterField(
            model_name='donneesbio',
            name='reseaux_engagements',
            field=models.TextField(blank=True, default='', verbose_name='Appartenance à des réseaux et engagements'),
        ),
        migrations.AlterField(
            model_name='personne',
            name='adresse',
            field=models.TextField(blank=True, default='', help_text="Saisissez l'adresse de la personne, sur 4 lignes maximum.", verbose_name='adresse personnelle'),
        ),
        migrations.AlterField(
            model_name='personne',
            name='civilite',
            field=models.CharField(blank=True, choices=[('M.', 'Monsieur'), ('Mme', 'Madame')], default='', max_length=10, verbose_name='civilité'),
        ),
        migrations.AlterField(
            model_name='personne',
            name='code_postal',
            field=models.CharField(blank=True, default='', help_text='Laisser vide pour utiliser celui associé à la commune', max_length=10),
        ),
        migrations.AlterField(
            model_name='personne',
            name='courriel',
            field=models.CharField(blank=True, default='', max_length=255),
        ),
        migrations.AlterField(
            model_name='personne',
            name='fax',
            field=models.CharField(blank=True, default='', max_length=100),
        ),
        migrations.AlterField(
            model_name='personne',
            name='fonction',
            field=models.CharField(blank=True, default='', max_length=255, verbose_name='fonction'),
        ),
        migrations.AlterField(
            model_name='personne',
            name='nom',
            field=models.CharField(default='', max_length=255),
        ),
        migrations.AlterField(
            model_name='personne',
            name='prenom',
            field=models.CharField(default='', max_length=255, verbose_name='prénom'),
        ),
        migrations.AlterField(
            model_name='personne',
            name='reseaux_engagements',
            field=models.TextField(blank=True, default='', verbose_name='Appartenance à des réseaux et engagements'),
        ),
        migrations.AlterField(
            model_name='personne',
            name='tel_fixe',
            field=models.CharField(blank=True, default='', max_length=100, verbose_name='téléphone fixe'),
        ),
        migrations.AlterField(
            model_name='personne',
            name='tel_mobile',
            field=models.CharField(blank=True, default='', max_length=100, verbose_name='téléphone mobile'),
        ),
        migrations.AlterField(
            model_name='personne',
            name='ville',
            field=models.CharField(blank=True, default='', help_text='Nom de ville avec code cédex si nécessaire, si différent du nom de la commune.', max_length=255),
        ),
        migrations.AlterField(
            model_name='projetbio',
            name='commentaire',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.AlterField(
            model_name='projetbio',
            name='date_probable_certification',
            field=models.CharField(blank=True, choices=[('long terme', 'Long terme'), ('moyen terme', 'Moyen terme'), ('date fournie', 'Date précisée ci-après')], default='', help_text="Si vous choisissez l'option « Date précisée ci-après », merci de préciser la date.", max_length=20, verbose_name='date probable de début de conversion'),
        ),
        migrations.AlterField(
            model_name='projetbio',
            name='description',
            field=models.TextField(blank=True, default='', verbose_name='description'),
        ),
        migrations.AlterField(
            model_name='projetbio',
            name='freins_identifies',
            field=models.TextField(blank=True, default='', verbose_name='Points favorables et freins à la conversion'),
        ),
        migrations.AlterField(
            model_name='projetbio',
            name='remarques',
            field=models.TextField(blank=True, default='', verbose_name='remarques'),
        ),
        migrations.AlterField(
            model_name='projetbio',
            name='suites_a_donner',
            field=models.TextField(blank=True, default='', verbose_name='suites à donner'),
        ),
        migrations.AlterField(
            model_name='rdv',
            name='commentaire',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.AlterField(
            model_name='rdv',
            name='type_rdv',
            field=models.CharField(choices=[('Individuel', (('premier_diagnostic', 'Premier diagnostic'), ('etude', 'Étude'), ('suivi_projet', 'Suivi projet'), ('suivi_conversion', 'Suivi de conversion'), ('visite_annuelle', 'Suivi bio'), ('contrat_obj', "Contrat d'objectif"), ('diag_sens', 'Diagnostic de sensibilité'), ('suivi_presta', 'Suivi en prestation'))), ('Collectif', (('evt', 'Evenement'), ('formation', 'Formation'), ('visite_ferme', 'Visite de ferme'), ('autre', 'Autre')))], default='', max_length=25, verbose_name='type'),
        ),
        migrations.AlterField(
            model_name='structure',
            name='adresse',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.AlterField(
            model_name='structure',
            name='cat_act_autre',
            field=models.CharField(blank=True, default='', max_length=255, verbose_name='autre'),
        ),
        migrations.AlterField(
            model_name='structure',
            name='code_postal',
            field=models.CharField(blank=True, default='', help_text='Laisser vide pour utiliser celui associé à la commune', max_length=10),
        ),
        migrations.AlterField(
            model_name='structure',
            name='commentaire',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.AlterField(
            model_name='structure',
            name='courriel',
            field=models.CharField(blank=True, default='', max_length=250),
        ),
        migrations.AlterField(
            model_name='structure',
            name='description_activite',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.AlterField(
            model_name='structure',
            name='description_activite_map',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.AlterField(
            model_name='structure',
            name='description_web',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.AlterField(
            model_name='structure',
            name='fax',
            field=models.CharField(blank=True, default='', max_length=100),
        ),
        migrations.AlterField(
            model_name='structure',
            name='origine_contact',
            field=models.CharField(blank=True, default='', max_length=255, verbose_name='origine du contact'),
        ),
        migrations.AlterField(
            model_name='structure',
            name='parc_naturel_regional',
            field=models.CharField(blank=True, choices=[('', 'Aucun'), ("Parc naturel régional des Caps et Marais d'Opale", "Parc naturel régional des Caps et Marais d'Opale"), ('Parc naturel régional Scarpe-Escaut', 'Parc naturel régional Scarpe-Escaut'), ("Parc naturel régional de l'Avesnois", "Parc naturel régional de l'Avesnois")], default='', max_length=200, verbose_name='parc naturel régional'),
        ),
        migrations.AlterField(
            model_name='structure',
            name='sage',
            field=models.CharField(blank=True, default='', max_length=255, verbose_name='SAGE'),
        ),
        migrations.AlterField(
            model_name='structure',
            name='siret',
            field=models.CharField(blank=True, default='', help_text='14 chiffres sans espaces', max_length=14, verbose_name='N. Siret'),
        ),
        migrations.AlterField(
            model_name='structure',
            name='tel_fixe',
            field=models.CharField(blank=True, default='', max_length=100, verbose_name='téléphone fixe'),
        ),
        migrations.AlterField(
            model_name='structure',
            name='tel_mobile',
            field=models.CharField(blank=True, default='', max_length=100, verbose_name='téléphone mobile'),
        ),
        migrations.AlterField(
            model_name='structure',
            name='ville',
            field=models.CharField(blank=True, default='', help_text='Nom de ville avec code cédex si nécessaire,  si différent du nom de la commune.', max_length=255),
        ),
        migrations.AlterField(
            model_name='transformation',
            name='agrmt',
            field=models.CharField(choices=[('dispence', 'Dispense'), ('ce', ' CE'), ('aucun', ' aucun')], default='', max_length=20, verbose_name='Agrément'),
        ),
        migrations.AlterField(
            model_name='transformation',
            name='list_pduit',
            field=models.TextField(blank=True, default='', verbose_name='Détail (liste des produits transformés)'),
        ),
        migrations.AlterField(
            model_name='transformation',
            name='type_pduit',
            field=models.CharField(choices=[('lait', 'Produits laitiers'), ('fruits', 'Fruits'), ('legumes', 'Légumes'), ('cereales', 'Céreales'), ('autres', 'Autres')], default='', max_length=20, verbose_name='Type de produit'),
        ),
        migrations.RunPython(set_noop, set_constraint_immediate),
    ]
