from factory import Sequence, SubFactory
from factory.django import DjangoModelFactory

from gaby.references.tests.factories import FormeJuridiqueFactory


class UserFactory(DjangoModelFactory):
    class Meta:
        model = 'auth.User'

    username = Sequence(lambda x: 'User#{}'.format(x))


class StructureFactory(DjangoModelFactory):
    class Meta:
        model = 'contacts.Structure'

    designation = Sequence(lambda x: 'Structure#{}'.format(x))
    utilisateur_derniere_modification = SubFactory(UserFactory)
    f_juridique = SubFactory(FormeJuridiqueFactory)


class ProjetBioFactory(DjangoModelFactory):
    class Meta:
        model = 'contacts.ProjetBio'

    agriculteur = SubFactory(StructureFactory)


class ActiviteStructureFactory(DjangoModelFactory):
    class Meta:
        model = 'contacts.ActiviteStructure'

    structure = SubFactory(StructureFactory)
    nom = 'maraichage'
