from django.core.exceptions import ValidationError

import pytest

from ..model_validator import validate_plain_location


@pytest.mark.parametrize(
    ('value', 'exp_val'),
    [
        ('', True),
        (None, True),
        ('1,2', True),
        ('1', False),
        ('1,2,3', False),
        ('1.1,2.2', True),
        ('a,b', False),
    ],
)
def test_validate_plain_location(value, exp_val):
    validate = True
    try:
        validate_plain_location(value)
    except ValidationError as err:
        if err.code == 'invalid_coord':
            validate = False
    assert validate == exp_val
