# Generated by Django 2.1.7 on 2019-03-27 12:50
import sys
from django.db import migrations, IntegrityError

DRYRUN=False


def fill_code_insee(apps, schema_editor):
    Commune = apps.get_model('references', 'Commune')
    print("\n# debut de la conversion")
    for com in Commune.objects.exclude(code_commune=''):
        try:
            new_code = int(com.code_commune)
        except ValueError:
            sys.stdout.write('E')
        else:
            com.code_insee = new_code
            com.save()
            sys.stdout.write('.')
    print("\n# fin de la conversion")
    if DRYRUN:
        raise IntegrityError("Work In Progress: dry run")


class Migration(migrations.Migration):

    dependencies = [
        ('references', '0002_ajout_code_insee'),
    ]

    operations = [
        migrations.RunPython(fill_code_insee),
    ]
