# -*- coding: utf-8 -*-

# from django.contrib import admin
# admin.autodiscover()
from django.conf import settings
from django.conf.urls import include, url
from django.views.generic import TemplateView
from django.views.static import serve

from gaby import __version__
from gaby.contacts import admin, urls, views
from gaby.contacts.admin_site import site as gab_site
from gaby.references import admin as ref_admin

# On utilise le AdminSite personnalisé admin.site pour
# enregistrer les modèles auxquels on veut avoir accès.
admin.register_models(gab_site)
ref_admin.register_models(gab_site)


gab_site.site_title = "gABy v{}".format(__version__)

gab_patternlist, gab_app_namespace, gab_namespace = gab_site.urls

urlpatterns = [
    # Examples:
    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),
    # Uncomment the next line to enable the admin:
    # url(r'^admin/', include(admin.site.urls)),
    # url(r'^', include(admin.site.urls)),
    url(
        r'^changelog/$',
        TemplateView.as_view(template_name='changelog.html'),
        {},
        name='changelog',
    ),
    url(
        r'^media/(?P<path>.*)$',
        serve,
        {'document_root': settings.MEDIA_ROOT, 'show_indexes': False},
        name='serve_upload',
    ),
    url(
        r'^private/',
        include((gab_patternlist, gab_app_namespace), namespace=gab_namespace),
    ),
    url(r'^', include(urls)),
    url(r'^_test/(?P<code>\w+)/$', views.test_view, {}, name='test_view'),
    url(r'^_test/$', views.test_view, {}, name='test_view'),
]

if settings.DEBUG:
    if 'debug_toolbar' in settings.INSTALLED_APPS:
        import debug_toolbar

        urlpatterns.insert(0, url('__debug__/', include(debug_toolbar.urls)))
