# Generated by Django 2.1.7 on 2019-03-15 17:21

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Abattoir',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=250, verbose_name='nom')),
            ],
            options={
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='AcheteurOeufs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
            ],
            options={
                'verbose_name_plural': "Acheteurs d'œufs",
                'ordering': ('designation',),
                'verbose_name': "Acheteur d'œufs",
            },
        ),
        migrations.CreateModel(
            name='Arrondissement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=255)),
                ('numero', models.IntegerField()),
                ('departement', models.CharField(choices=[('02', 'Aisne'), ('59', 'Nord'), ('60', 'Oise'), ('62', 'Pas-de-Calais'), ('80', 'Somme'), ('01', 'Ain'), ('03', 'Allier'), ('04', 'Alpes-de-Haute-Provence'), ('05', 'Hautes-Alpes'), ('06', 'Alpes-Maritimes'), ('07', 'Ardèche'), ('08', 'Ardennes'), ('09', 'Ariège'), ('10', 'Aube'), ('11', 'Aude'), ('12', 'Aveyron'), ('13', 'Bouches-du-Rhône'), ('14', 'Calvados'), ('15', 'Cantal'), ('16', 'Charente'), ('17', 'Charente-Maritime'), ('18', 'Cher'), ('19', 'Corrèze'), ('2A', 'Corse-du-Sud'), ('2B', 'Haute-Corse'), ('21', "Côte-d'Or"), ('22', "Côtes-d'Armor"), ('23', 'Creuse'), ('24', 'Dordogne'), ('25', 'Doubs'), ('26', 'Drôme'), ('27', 'Eure'), ('28', 'Eure-et-Loir'), ('29', 'Finistère'), ('30', 'Gard'), ('31', 'Haute-Garonne'), ('32', 'Gers'), ('33', 'Gironde'), ('34', 'Hérault'), ('35', 'Ille-et-Vilaine'), ('36', 'Indre'), ('37', 'Indre-et-Loire'), ('38', 'Isère'), ('39', 'Jura'), ('40', 'Landes'), ('41', 'Loir-et-Cher'), ('42', 'Loire'), ('43', 'Haute-Loire'), ('44', 'Loire-Atlantique'), ('45', 'Loiret'), ('46', 'Lot'), ('47', 'Lot-et-Garonne'), ('48', 'Lozère'), ('49', 'Maine-et-Loire'), ('50', 'Manche'), ('51', 'Marne'), ('52', 'Haute-Marne'), ('53', 'Mayenne'), ('54', 'Meurthe-et-Moselle'), ('55', 'Meuse'), ('56', 'Morbihan'), ('57', 'Moselle'), ('58', 'Nièvre'), ('59', 'Nord'), ('61', 'Orne'), ('62', 'Pas-de-Calais'), ('63', 'Puy-de-Dôme'), ('64', 'Pyrénées-Atlantiques'), ('65', 'Hautes-Pyrénées'), ('66', 'Pyrénées-Orientales'), ('67', 'Bas-Rhin'), ('68', 'Haut-Rhin'), ('69', 'Rhône'), ('70', 'Haute-Saône'), ('71', 'Saône-et-Loire'), ('72', 'Sarthe'), ('73', 'Savoie'), ('74', 'Haute-Savoie'), ('75', 'Paris'), ('76', 'Seine-Maritime'), ('77', 'Seine-et-Marne'), ('78', 'Yvelines'), ('79', 'Deux-Sèvres'), ('81', 'Tarn'), ('82', 'Tarn-et-Garonne'), ('83', 'Var'), ('84', 'Vaucluse'), ('85', 'Vendée'), ('86', 'Vienne'), ('87', 'Haute-Vienne'), ('88', 'Vosges'), ('89', 'Yonne'), ('90', 'Territoire de Belfort'), ('91', 'Essonne'), ('92', 'Hauts-de-Seine'), ('93', 'Seine-Saint-Denis'), ('94', 'Val-de-Marne'), ('95', "Val-d'Oise"), ('971', 'Guadeloupe'), ('972', 'Martinique'), ('973', 'Guyane'), ('974', 'La Réunion'), ('976', 'Mayotte'), ('000', 'Étranger')], max_length=3, verbose_name='département')),
                ('region', models.IntegerField()),
            ],
            options={
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='AutreQualificatifExploitation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
            ],
            options={
                'verbose_name_plural': "autres qualiticatifs de l'exploitation",
                'ordering': ('designation',),
                'verbose_name': "autre qualiticatif de l'exploitation",
            },
        ),
        migrations.CreateModel(
            name='AutreTerritoire',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=255)),
            ],
            options={
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='CategorieCulture',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
            ],
            options={
                'verbose_name_plural': 'Catégories de cultures',
                'verbose_name': 'Catégorie de cultures',
            },
        ),
        migrations.CreateModel(
            name='ClientCulture',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
            ],
            options={
                'verbose_name_plural': 'Clients de culture',
                'ordering': ('designation',),
                'verbose_name': 'Client de culture',
            },
        ),
        migrations.CreateModel(
            name='Commune',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=255)),
                ('code_commune', models.CharField(blank=True, max_length=15, verbose_name='code INSEE')),
                ('code_postal', models.CharField(blank=True, max_length=15)),
                ('enjeu_eau', models.NullBooleanField()),
                ('arrondissement', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='references.Arrondissement')),
                ('autre_territoire', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='references.AutreTerritoire')),
            ],
            options={
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='Culture',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
                ('indice_ordre', models.IntegerField(blank=True, help_text="Permet d'ordonner les cultures dans leur catégorie", null=True, verbose_name="Indice d'ordonnancement")),
                ('enabled', models.BooleanField(default=True, verbose_name='actif')),
                ('categorie_cul', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='references.CategorieCulture', verbose_name='Catégorie')),
            ],
            options={
                'verbose_name_plural': 'Cultures',
                'ordering': ('categorie_cul__designation', 'indice_ordre'),
                'verbose_name': 'Culture',
            },
        ),
        migrations.CreateModel(
            name='Etiquette',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
                ('description', models.CharField(blank=True, max_length=255, null=True, verbose_name='description')),
            ],
            options={
                'verbose_name_plural': 'étiquettes',
                'ordering': ('designation',),
                'verbose_name': 'étiquette',
            },
        ),
        migrations.CreateModel(
            name='FinanceProg',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
            ],
            options={
                'verbose_name_plural': 'Financements/Programmes',
                'ordering': ('designation',),
                'verbose_name': 'Financement/Programme',
            },
        ),
        migrations.CreateModel(
            name='Formation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
            ],
            options={
                'verbose_name_plural': 'Formations',
                'ordering': ('designation',),
                'verbose_name': 'Formation',
            },
        ),
        migrations.CreateModel(
            name='FormeJuridique',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
            ],
            options={
                'verbose_name_plural': 'Formes Juridiques',
                'ordering': ('designation',),
                'verbose_name': 'Forme Juridique',
            },
        ),
        migrations.CreateModel(
            name='InterCommunalite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=255)),
            ],
            options={
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='Laiterie',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=250, verbose_name='nom')),
            ],
            options={
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='OrganismeDeCertification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=250, verbose_name='nom')),
            ],
            options={
                'verbose_name_plural': 'organismes de certification',
                'ordering': ('nom',),
                'verbose_name': 'organisme de certification',
            },
        ),
        migrations.CreateModel(
            name='PetiteRegionAgricole',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.IntegerField(unique=True)),
                ('nom', models.CharField(max_length=255)),
                ('grande_region', models.IntegerField(verbose_name='grande région agricole')),
                ('departement', models.CharField(choices=[('02', 'Aisne'), ('59', 'Nord'), ('60', 'Oise'), ('62', 'Pas-de-Calais'), ('80', 'Somme'), ('01', 'Ain'), ('03', 'Allier'), ('04', 'Alpes-de-Haute-Provence'), ('05', 'Hautes-Alpes'), ('06', 'Alpes-Maritimes'), ('07', 'Ardèche'), ('08', 'Ardennes'), ('09', 'Ariège'), ('10', 'Aube'), ('11', 'Aude'), ('12', 'Aveyron'), ('13', 'Bouches-du-Rhône'), ('14', 'Calvados'), ('15', 'Cantal'), ('16', 'Charente'), ('17', 'Charente-Maritime'), ('18', 'Cher'), ('19', 'Corrèze'), ('2A', 'Corse-du-Sud'), ('2B', 'Haute-Corse'), ('21', "Côte-d'Or"), ('22', "Côtes-d'Armor"), ('23', 'Creuse'), ('24', 'Dordogne'), ('25', 'Doubs'), ('26', 'Drôme'), ('27', 'Eure'), ('28', 'Eure-et-Loir'), ('29', 'Finistère'), ('30', 'Gard'), ('31', 'Haute-Garonne'), ('32', 'Gers'), ('33', 'Gironde'), ('34', 'Hérault'), ('35', 'Ille-et-Vilaine'), ('36', 'Indre'), ('37', 'Indre-et-Loire'), ('38', 'Isère'), ('39', 'Jura'), ('40', 'Landes'), ('41', 'Loir-et-Cher'), ('42', 'Loire'), ('43', 'Haute-Loire'), ('44', 'Loire-Atlantique'), ('45', 'Loiret'), ('46', 'Lot'), ('47', 'Lot-et-Garonne'), ('48', 'Lozère'), ('49', 'Maine-et-Loire'), ('50', 'Manche'), ('51', 'Marne'), ('52', 'Haute-Marne'), ('53', 'Mayenne'), ('54', 'Meurthe-et-Moselle'), ('55', 'Meuse'), ('56', 'Morbihan'), ('57', 'Moselle'), ('58', 'Nièvre'), ('59', 'Nord'), ('61', 'Orne'), ('62', 'Pas-de-Calais'), ('63', 'Puy-de-Dôme'), ('64', 'Pyrénées-Atlantiques'), ('65', 'Hautes-Pyrénées'), ('66', 'Pyrénées-Orientales'), ('67', 'Bas-Rhin'), ('68', 'Haut-Rhin'), ('69', 'Rhône'), ('70', 'Haute-Saône'), ('71', 'Saône-et-Loire'), ('72', 'Sarthe'), ('73', 'Savoie'), ('74', 'Haute-Savoie'), ('75', 'Paris'), ('76', 'Seine-Maritime'), ('77', 'Seine-et-Marne'), ('78', 'Yvelines'), ('79', 'Deux-Sèvres'), ('81', 'Tarn'), ('82', 'Tarn-et-Garonne'), ('83', 'Var'), ('84', 'Vaucluse'), ('85', 'Vendée'), ('86', 'Vienne'), ('87', 'Haute-Vienne'), ('88', 'Vosges'), ('89', 'Yonne'), ('90', 'Territoire de Belfort'), ('91', 'Essonne'), ('92', 'Hauts-de-Seine'), ('93', 'Seine-Saint-Denis'), ('94', 'Val-de-Marne'), ('95', "Val-d'Oise"), ('971', 'Guadeloupe'), ('972', 'Martinique'), ('973', 'Guyane'), ('974', 'La Réunion'), ('976', 'Mayotte'), ('000', 'Étranger')], max_length=3, verbose_name='département')),
            ],
            options={
                'verbose_name_plural': 'petites régions agricoles',
                'ordering': ('nom',),
                'verbose_name': 'petite région agricole',
            },
        ),
        migrations.CreateModel(
            name='PublicCible',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=250, verbose_name='nom')),
            ],
            options={
                'verbose_name_plural': 'Publics Cible',
                'ordering': ('nom',),
                'verbose_name': 'Public Cible',
            },
        ),
        migrations.CreateModel(
            name='StatutCommercialisation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
            ],
            options={
                'verbose_name_plural': 'statuts commerc. en vente directe',
                'ordering': ('designation',),
                'verbose_name': 'statut commerc. en vente directe',
            },
        ),
        migrations.CreateModel(
            name='StatutStructure',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
            ],
            options={
                'verbose_name_plural': 'statuts de structure',
                'ordering': ('designation',),
                'verbose_name': 'statut de structure',
            },
        ),
        migrations.CreateModel(
            name='Territoire',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=255)),
            ],
            options={
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='TypeActivite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
            ],
            options={
                'verbose_name_plural': "types d'activité",
                'ordering': ('designation',),
                'verbose_name': "type d'activité",
            },
        ),
        migrations.CreateModel(
            name='TypeFormation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
            ],
            options={
                'verbose_name_plural': 'Désignations Évenements',
                'ordering': ('designation',),
                'verbose_name': 'Désignation Évenement',
            },
        ),
        migrations.CreateModel(
            name='TypeService',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('designation', models.CharField(max_length=250, verbose_name='désignation')),
            ],
            options={
                'verbose_name_plural': 'types de service',
                'ordering': ('designation',),
                'verbose_name': 'type de service',
            },
        ),
        migrations.AddField(
            model_name='commune',
            name='intercommunalite',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='references.InterCommunalite'),
        ),
        migrations.AddField(
            model_name='commune',
            name='petite_region',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='references.PetiteRegionAgricole'),
        ),
        migrations.AddField(
            model_name='commune',
            name='territoire',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='references.Territoire'),
        ),
        migrations.AlterUniqueTogether(
            name='arrondissement',
            unique_together={('numero', 'departement')},
        ),
    ]
